Debian Bug report logs - #383706
RM: kernel-source-2.2.25 -- RoM; obsolete

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Daniel Schepler <schepler@math.berkeley.edu>

Date: Fri, 24 Feb 2006 09:34:26 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#354203; Package kernel-source-2.2.25. Full text and rfc822 format available.

Acknowledgement sent to Daniel Schepler <schepler@math.berkeley.edu>:
New Bug report received and forwarded. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Schepler <schepler@math.berkeley.edu>
To: submit@bugs.debian.org
Subject: kernel-source-2.2.25: FTBFS with current kernel-package
Date: Fri, 24 Feb 2006 10:21:59 +0100
Package: kernel-source-2.2.25
Version: 2.2.25-4
Severity: serious

From my pbuilder build log:

...
====== making target debian/stamp-kernel-conf [new prereqs: .config Makefile]======
/usr/bin/make    ARCH=i386 \
                oldconfig
make[2]: Entering directory `/tmp/buildd/kernel-source-2.2.25-2.2.25'
rm -f include/asm
( cd include ; ln -sf asm-i386 asm)
/bin/sh scripts/Configure -d arch/i386/config.in
...
/dev/cpu/*/msr - Model-specific register support (CONFIG_X86_MSR) [M/n/y/?]
/dev/cpu/*/cpuid - CPU information support (CONFIG_X86_CPUID) [M/n/y/?]
Maximum Physical Memory (1GB, 2GB) [1GB] (NEW) make[2]: *** [oldconfig] Error 1
make[2]: Leaving directory `/tmp/buildd/kernel-source-2.2.25-2.2.25'
make[1]: *** [debian/stamp-kernel-conf] Error 2
make[1]: Leaving directory `/tmp/buildd/kernel-source-2.2.25-2.2.25'
make: *** [binary-indep] Error 2
-- 
Daniel Schepler



Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#354203; Package kernel-source-2.2.25. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <maks@sternwelten.at>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 354203@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@sternwelten.at>
To: 354203@bugs.debian.org
Subject: Re: kernel-source-2.2.25: FTBFS
Date: Fri, 18 Aug 2006 16:08:48 +0200
reassign 354203 ftp.debian.org
retitle 354203 please remove dated 2.2 kernel sources
stop

rationale:
2.2 is not supported since long (dead upstream)
d-i removed the last vestiges of it's usage past beta 3

best regards

-- 
maks



Bug reassigned from package `kernel-source-2.2.25' to `ftp.debian.org'. Request was from maximilian attems <maks@sternwelten.at> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from maximilian attems <maks@sternwelten.at> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#354203; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #19 received at 354203@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: maximilian attems <maks@sternwelten.at>, 354203@bugs.debian.org
Subject: Re: Bug#354203: kernel-source-2.2.25: FTBFS
Date: Fri, 18 Aug 2006 17:52:55 +0200
[Message part 1 (text/plain, inline)]
On Friday 18 August 2006 16:08, maximilian attems wrote:
> rationale:
> 2.2 is not supported since long (dead upstream)
> d-i removed the last vestiges of it's usage past beta 3

This is NOT correct as I have said several times before!

m68k Beta3 still uses 2.2. 2.2 kernel source can only be removed _after_ 
D-I RC1 because it is still used in testing.

Please make sure of your facts before filing such bugs and make sure that 
2.2 is not removed before it is really OK to do so.
[Message part 2 (application/pgp-signature, inline)]

Changed Bug title. Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `ftp.debian.org' to `kernel-source-2.2.25'. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#354203; Package kernel-source-2.2.25. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #28 received at 354203@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Frans Pop <elendil@planet.nl>, 354203@bugs.debian.org
Cc: maximilian attems <maks@sternwelten.at>
Subject: Re: Bug#354203: kernel-source-2.2.25: FTBFS
Date: Fri, 18 Aug 2006 11:21:29 -0700
On Fri, Aug 18, 2006 at 05:52:55PM +0200, Frans Pop wrote:
> On Friday 18 August 2006 16:08, maximilian attems wrote:
> > rationale:
> > 2.2 is not supported since long (dead upstream)
> > d-i removed the last vestiges of it's usage past beta 3

> This is NOT correct as I have said several times before!

> m68k Beta3 still uses 2.2. 2.2 kernel source can only be removed _after_ 
> D-I RC1 because it is still used in testing.

I'm not sure why that should matter.  m68k isn't a release candidate arch
right now, and 2.2 isn't going to be used for etch no matter what.

But please don't reassign RC bugs to ftp.d.o, please *clone* them instead;
we don't want RC-buggy packages leaking back into testing unnecessarily.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Bug 354203 cloned as bug 383706. Request was from maximilian attems <maks@sternwelten.at> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal' from `serious' Request was from maximilian attems <maks@sternwelten.at> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `kernel-source-2.2.25' to `ftp.debian.org'. Request was from maximilian attems <maks@sternwelten.at> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Daniel Schepler <schepler@math.berkeley.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #39 received at 383706-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 383706-close@bugs.debian.org
Cc: kernel-source-2.2.25@packages.debian.org, kernel-source-2.2.25@packages.qa.debian.org, kernel-headers-2.2.25-m68k@packages.debian.org, kernel-headers-2.2.25-m68k@packages.qa.debian.org, kernel-image-2.2.25-mac@packages.debian.org, kernel-image-2.2.25-mac@packages.qa.debian.org, kernel-image-2.2.25-mvme16x@packages.debian.org, kernel-image-2.2.25-mvme16x@packages.qa.debian.org, kernel-image-2.2.25-mvme147@packages.debian.org, kernel-image-2.2.25-mvme147@packages.qa.debian.org, kernel-image-2.2.25-bvme6000@packages.debian.org, kernel-image-2.2.25-bvme6000@packages.qa.debian.org, kernel-image-2.2.25-atari@packages.debian.org, kernel-image-2.2.25-atari@packages.qa.debian.org, kernel-image-2.2.25-amiga@packages.debian.org, kernel-image-2.2.25-amiga@packages.qa.debian.org
Subject: Bug#383706: fixed
Date: Sun, 01 Oct 2006 05:49:27 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

kernel-doc-2.2.25 |   2.2.25-4 | all
kernel-headers-2.2.25-m68k |   2.2.25-2 | source, m68k
kernel-image-2.2.25-amiga |   2.2.25-4 | source, m68k
kernel-image-2.2.25-atari |   2.2.25-4 | source, m68k
kernel-image-2.2.25-bvme6000 |   2.2.25-4 | source, m68k
kernel-image-2.2.25-mac |   2.2.25-4 | source, m68k
kernel-image-2.2.25-mvme147 |   2.2.25-4 | source, m68k
kernel-image-2.2.25-mvme16x |   2.2.25-4 | source, m68k
kernel-source-2.2.25 |   2.2.25-4 | source, all

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 383706@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 12:03:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:25:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.